ALSA project - the C library reference

Data Fields
snd_tplg_obj_template_t Struct Reference
Topology Interface

## Data Fields
enum snd_tplg_type | type
int | index
int | version
int | vendor_type
union {
struct snd_tplg_widget_template * snd_tplg_obj_template_t::widget
struct snd_tplg_mixer_template * snd_tplg_obj_template_t::mixer
struct snd_tplg_bytes_template * snd_tplg_obj_template_t::bytes_ctl
struct snd_tplg_enum_template * snd_tplg_obj_template_t::enum_ctl
struct snd_tplg_graph_template * snd_tplg_obj_template_t::graph
struct snd_tplg_pcm_template * snd_tplg_obj_template_t::pcm
struct snd_tplg_link_template * snd_tplg_obj_template_t::link
struct snd_tplg_dai_template * snd_tplg_obj_template_t::dai
}; |

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-402/media/alsa-lib/1.2.8/.i586-glibc/ebox-3350dx2/alsa-lib-1.2.8/include/topology.h